{"full_name":"Orange-OpenSource/hurl","owner":"Orange-OpenSource","name":"hurl","shard":"1","url":"https://github.com/Orange-OpenSource/hurl","description":"Hurl, run and test HTTP requests with plain text.","homepage":"https://hurl.dev","topics":["curl","http","testing-tools","cli","integration-testing","http-client","api-testing","testing"],"tag_pages":["api-testing","cli","curl","http","http-client","integration-testing","testing","testing-tools"],"language":"Rust","license":"Apache-2.0","avatar":"https://avatars.githubusercontent.com/u/1506386?v=4","created_at":"2020-08-25T14:50:56Z","pushed_at":"2026-11-15T15:37:01Z","metrics":{"stars":19324,"forks":751,"watchers":54,"issues":995,"prs":4323,"releases":32,"issues_open":200,"issues_closed":795,"prs_open":4,"prs_closed":987,"prs_merged":3332,"discussions":104},"growth":{"day":{"stars":1,"forks":0,"base_day":"2026-11-15"}},"history":{"dates":["2026-11-10","2026-11-11","2026-11-12","2026-11-13","2026-11-14","2026-11-15","2026-11-16"],"stars":[19314,19328,19337,19337,19319,19323,19324],"forks":[753,752,752,752,751,751,751],"watchers":[null,54,54,54,54,54,54],"issues_open":[null,200,200,200,200,200,200],"prs_open":[null,2,2,2,2,4,4]},"boards":{},"same_owner":[],"issues":[{"number":366,"title":"Add Hurl to official Debian repository","comments":30,"created_at":"2021-11-23T14:21:49Z"},{"number":983,"title":"Syntax highlighting plugin for editor","comments":18,"created_at":"2022-11-11T16:19:04Z"},{"number":831,"title":"plan for pre-scripting or post-scripting?","comments":18,"created_at":"2022-09-17T16:48:51Z"},{"number":1096,"title":"Websocket support and documentation? ","comments":15,"created_at":"2022-12-12T13:22:16Z"},{"number":1067,"title":"Feature Request:  Allow tests to have names and display them on failure","comments":15,"created_at":"2022-12-06T21:18:57Z"},{"number":317,"title":"An easy way to reuse requests","comments":14,"created_at":"2021-10-22T08:34:06Z"},{"number":3690,"title":"Testcase Id Prefix","comments":12,"created_at":"2025-02-03T11:45:03Z"},{"number":543,"title":"Add support for JSON Schema validation assert?","comments":12,"created_at":"2022-04-21T18:21:46Z"}],"discussions":[{"number":5257,"title":"hurl syntax highlighting for bat/sublime-text","comments":2,"category":"Show and tell","created_at":"2026-09-01T20:45:51Z"},{"number":5193,"title":"Skill for Hurl","comments":1,"category":"Ideas","created_at":"2026-08-06T10:20:42Z"},{"number":5084,"title":"Is there a way to transform a Hurl file into its \"already replaced variables\" version ?","comments":2,"category":"Q&A","created_at":"2026-06-10T15:14:14Z"},{"number":4990,"title":"GRPC Support and Roadmap?","comments":2,"category":"Ideas","created_at":"2026-04-26T18:06:10Z"},{"number":4824,"title":"Clear headers from specific requests in hurl file","comments":3,"category":"Q&A","created_at":"2026-02-25T21:26:20Z"},{"number":4675,"title":"Assert no response","comments":1,"category":"Q&A","created_at":"2026-01-06T02:06:47Z"},{"number":4638,"title":"Is there a way to mark a test as \"expected failure\"?","comments":1,"category":"Q&A","created_at":"2025-12-17T18:41:44Z"},{"number":4244,"title":"Implementing rendering of array and object variables","comments":1,"category":"Ideas","created_at":"2025-07-23T07:04:39Z"}],"latest_release":{"name":"8.1.0","tag":"8.1.0","published_at":"2026-10-28T12:39:02Z","body":"[8.1.0 (2026-10-27)](https://github.com/Orange-OpenSource/hurl/blob/master/CHANGELOG.md#8.1.0)\r\n========================================================================================================================\r\n\r\nThanks to\r\n[@BillyLiou](https://github.com/BillyLiou),\r\n[@Thomasdezeeuw](https://github.com/Thomasdezeeuw),\r\n[@eyupcanakman](https://github.com/eyupcanakman),\r\n[@fubar-coder](https://github.com/fubar-coder),\r\n[@ptwales](https://github.com/ptwales),\r\n[@jgarte](https://github.com/jgarte),\r\n[@brenordv](https://github.com/brenordv),\r\n[@linkdd](https://github.com/linkdd),\r\n[@jkellz-dev](https://github.com/jkellz-dev),\r\n[@josh-coderpad](https://github.com/josh-coderpad),\r\n[@qrn12580](https://github.com/qrn12580),\r\n[@1diot9](https://github.com/1diot9),\r\n[@Hama1cco](https://github.com/Hama1cco),\r\n\r\n[Take a tour of this version here!](https://hurl.dev/blog/2026/10/28/hurl-8.1.0-of-config-and-security.html)\r\n\r\nEnhancements:\r\n\r\n* Add --no-header option to remove specific HTTP header [#4884](https://github.com/Orange-OpenSource/hurl/issues/4884)\r\n* Add --fail-with-body option to output response body when there are errors [#4776](https://github.com/Orange-OpenSource/hurl/issues/4776)\r\n* Add no jsonpath coercion option [#5077](https://github.com/Orange-OpenSource/hurl/issues/5077)\r\n* Add --proxy-header option to send header exclusively to a proxy [#3944](https://github.com/Orange-OpenSource/hurl/issues/3944)\r\n* Add --http2-prior-knowledge command line option to use HTTP/2 without HTTP/1.1 Upgrade [#5126](https://github.com/Orange-OpenSource/hurl/issues/5126)\r\n* Re-export Input struct from hurl_core to hurl [#5128](https://github.com/Orange-OpenSource/hurl/issues/5128)\r\n* Add Sublime Text syntax highlighting [#5298](https://github.com/Orange-OpenSource/hurl/issues/5298)\r\n* Add --tls-max option [#3713](https://github.com/Orange-OpenSource/hurl/issues/3713)\r\n* Skip suggestion fo very long keyword [#5360](https://github.com/Orange-OpenSource/hurl/issues/5360)\r\n* Add --tls-min option to set the minimum allowed TLS version [#5335](https://github.com/Orange-OpenSource/hurl/issues/5335)\r\n* Add Hurl config file [#3629](https://github.com/Orange-OpenSource/hurl/issues/3629)\r\n\r\n\r\nBugs Fixed:\r\n\r\n* Fix misleading error message for not-equal predicate [#2841](https://github.com/Orange-OpenSource/hurl/issues/2841)\r\n* Fix variable option values starting with a number or boolean [#5028](https://github.com/Orange-OpenSource/hurl/issues/5028)\r\n* Fix recorded headers when connecting to proxy with CONNECT [#5091](https://github.com/Orange-OpenSource/hurl/issues/5091)\r\n* Fix Hurl debug curl command when request binary body contains NUL char [#5141](https://github.com/Orange-OpenSource/hurl/issues/5141)\r\n* Don't fail build on Windows if file icon is not reachable [#5207](https://github.com/Orange-OpenSource/hurl/issues/5207)\r\n* Fix parsing exponent in JSONPath expr [#5342](https://github.com/Orange-OpenSource/hurl/issues/5342)\r\n* Add explicit nesting limit to JSONPath expression parsing [#5350](https://github.com/Orange-OpenSource/hurl/issues/5350)\r\n* Fix hurlfmt panic when importing curl commands without a URL [#5354](https://github.com/Orange-OpenSource/hurl/issues/5354)\r\n* Fix crash when receiving non UTF-8 server cookie [#5356](https://github.com/Orange-OpenSource/hurl/issues/5356)\r\n* Fix crash for bad `@cookie_storage_set` comment (experimental feature) [#5348](https://github.com/Orange-OpenSource/hurl/issues/5348)\r\n* Parse finite float in JSONPath [#5330](https://github.com/Orange-OpenSource/hurl/issues/5330)\r\n* Escape curl command from --curl option and --verbose log [#5374](https://github.com/Orange-OpenSource/hurl/issues/5374)\r\n\r\n\r\nSecurity Issues Fixed:\r\n\r\n* Fix CVE-2026-63481 stripping cookie from Cookies section when redirecting to a different host [#5118](https://github.com/Orange-OpenSource/hurl/issues/5118)\r\n* Fix escaping headers values in HTML report [#5228](https://github.com/Orange-OpenSource/hurl/issues/5228)\r\n* Fix symlinks es","is_prerelease":false},"readme":true,"readme_zh":false,"news":[],"stale":false,"snapshot_at":"2026-11-16T09:23:14Z","history_start":"2026-09-06"}